Bug 72546 - Kerning Terrible for MS Times New Roman
Summary: Kerning Terrible for MS Times New Roman
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.1.2.3 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Font-Rendering
  Show dependency treegraph
 
Reported: 2013-12-09 22:19 UTC by Chris Miller
Modified: 2016-10-27 17:16 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
apex seems to be a low-point for font rendering (1.17 KB, image/png)
2013-12-09 22:19 UTC, Chris Miller
Details
Abiword's rendering of select words (47.28 KB, image/png)
2014-08-04 08:47 UTC, David H. Gutteridge
Details
Calligra Words's rendering of select words (93.02 KB, image/png)
2014-08-04 08:48 UTC, David H. Gutteridge
Details
LibreOffice Writer's rendering of select words (65.89 KB, image/png)
2014-08-04 08:48 UTC, David H. Gutteridge
Details
"apex" issue test ODT file (8.51 KB, application/vnd.oasis.opendocument.text)
2016-10-21 12:39 UTC, Johnny_M
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Miller 2013-12-09 22:19:27 UTC
Created attachment 90540 [details]
apex seems to be a low-point for font rendering

This was observed on Ubuntu Gnome 13.10. The Kerning is off when the editor is displaying justified text. It is mighty distracting.
Comment 1 Maxim Monastirsky 2013-12-10 13:41:40 UTC
Hi,

I can't reproduce this behavior using 4.1.3.2 under Ubuntu 13.10.

Are you sure that you have 'Times New Roman' actually installed on your system? How does it appear in the font drop-down box - As a regular text or as Italic? Does it appear in the font list of other applications? How does the same text look in other applications?
Comment 2 QA Administrators 2014-07-08 17:28:45 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 3 David H. Gutteridge 2014-08-04 08:37:12 UTC
I can reproduce this on Fedora 20 with LibreOffice 4.2.5.2. Kerning is problematic for particular letter pairs. Disabling pair kerning has no effect. The kerning for the same examples is superior with Abiword 3.0.0 and Calligra Words 2.8.5. (And yes, I have the MS Times New Roman faces installed.) I'll attach screen shots demonstrating the differences.

(I'm not sure if this is related to bug 61646 somehow.)
Comment 4 David H. Gutteridge 2014-08-04 08:47:12 UTC
Created attachment 103979 [details]
Abiword's rendering of select words
Comment 5 David H. Gutteridge 2014-08-04 08:48:02 UTC
Created attachment 103980 [details]
Calligra Words's rendering of select words
Comment 6 David H. Gutteridge 2014-08-04 08:48:53 UTC
Created attachment 103981 [details]
LibreOffice Writer's rendering of select words
Comment 7 David H. Gutteridge 2014-08-04 08:53:45 UTC
Note with the screenshot I've submitted of LibreOffice Writer's rendering, in "Yeah" the E and the A are too close together, in "Ted" the E and the D are too close together, and in "survive" the R is joined to the V. In Abiword and Calligra Words the kerning is more appropriate.
Comment 8 David H. Gutteridge 2014-08-17 00:58:21 UTC
Marking as new, given I can duplicate the original reporter's issue.
Comment 9 QA Administrators 2015-09-04 02:47:37 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (5.0.0.5 or later)
   https://www.libreoffice.org/download/

   If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
 If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 

1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 
3. Leave a comment with your results. 

4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2015-09-03
Comment 10 David H. Gutteridge 2015-09-04 05:40:50 UTC
This is still an issue with LibreOffice 4.4.5.2, which is the most current version available via the Fedora Project for Fedora 22. (It should also count as a "currently supported version"...)
Comment 11 David H. Gutteridge 2015-11-15 14:18:39 UTC
Confirming this is still an issue with LibreOffice 5.0.3.2.
Comment 12 siggibugzilla 2016-09-28 14:22:24 UTC
I can confirm this behaviour on Ubuntu 16.04 (64 Bit) and LO 5.2.1.2. I see the same results when I take the MS Times-Font from the "ttf-mscorefonts-installer" Ubuntu multiverse package. However, if I copy the .ttf-Files from Windows 7 over to Ubuntu, the results are much better. But still not as good as the Windows built of LO. Best, Siggi.
Comment 13 Khaled Hosny 2016-10-18 22:46:25 UTC
Can someone attach a test file showing the issue?
Comment 14 Johnny_M 2016-10-21 12:39:10 UTC
Created attachment 128123 [details]
"apex" issue test ODT file

File created with:
Version: 5.1.5.2
Build ID: 1:5.1.5~rc2-0ubuntu1~trusty1
CPU Threads: 2; OS Version: Linux 3.13; UI Render: default; 
Locale: de-DE (en_GB.UTF-8); Calc: group


This report seems to mix two independent issues:

1. The "apex" issue in the original report: The distance between the letters "p" and "e" depends on the font size and zoom. Probably not really a "kerning" issue, but depending on bug 103322.

2. The lack of kerning at any size and zoom level in later comments: Can be observed with letter combinations like "Ye", "Te", "Ve", etc. This probably needs to be reported separately.
Comment 15 Khaled Hosny 2016-10-21 14:41:34 UTC
I can reproduce the kerning (Ted, Yeah) with the version of Times New Roman shipped with Windows XP but not in the newer versions shipped with Windows 8 or 10. It seems the old versions of the font have an old-style kern table, while the new versions have GPOS pair positioning. The new layout engine of bug 89870 does not even support old-style kern tables.

But I can not reproduce the apex issue, it might be because I use a hidpi display, and it might indeed be the same as bug 103322. Either case they are different issues and each should be reported separately.
Comment 16 Johnny_M 2016-10-21 16:04:02 UTC
(In reply to Khaled Hosny from comment #15)
> I can reproduce the kerning (Ted, Yeah) with the version of Times New Roman
> shipped with Windows XP but not in the newer versions shipped with Windows 8
> or 10. It seems the old versions of the font have an old-style kern table,
> while the new versions have GPOS pair positioning. The new layout engine of
> bug 89870 does not even support old-style kern tables.
Right, and the Linux packages (e.g., ttf-mscorefonts-installer on Ubuntu, with fonts pulled from http://corefonts.sourceforge.net) contain the old XP version, as explained in https://en.wikipedia.org/wiki/Core_fonts_for_the_Web#Program_termination_and_software_licence_agreement_issues
Thanks for clarification! The metrically compatible Liberation Serif font does look better.

> But I can not reproduce the apex issue, it might be because I use a hidpi
> display, and it might indeed be the same as bug 103322. Either case they are
> different issues and each should be reported separately.
It my case it is an older 19", 1280 x 1024 screen. The definition of low-resolution. :) Liberation Serif shows the issue similarly to the Times New Roman here. As do various other fonts, too, to various degree.
Comment 17 David H. Gutteridge 2016-10-27 17:16:07 UTC
(In reply to Johnny_M from comment #16)

> It my case it is an older 19", 1280 x 1024 screen. The definition of
> low-resolution. :) Liberation Serif shows the issue similarly to the Times
> New Roman here. As do various other fonts, too, to various degree.

I also see similar kerning issues with Liberation Serif on Fedora, though generally they're not quite as pronounced as with Times New Roman. In both cases, I'm using the older versions of the fonts, since the MS-TTF "distribution" is of the older Times New Roman, and Fedora ships Liberation v. 1 rather than v. 2 fonts. (I'm told version 2 of the latter offers better rendering.)